org.apache.ode.bpel.compiler.api

## Class CompilationMessageBundle

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.compiler.api.CompilationMessageBundle

- Direct Known Subclasses:
    AssignGeneratorMessages, CommonCompilationMessages, CompensateGeneratorMessages, FlowGeneratorMessages, ForEachGeneratorMessages, IfGeneratorMessages, InvokeGeneratorMessages, PickGeneratorMessages, ReplyGeneratorMessages, WaitGeneratorMessages, XPathMessages

      public abstract class CompilationMessageBundle
      extends MessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompilationMessageBundle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CompilationMessage` | `formatCompilationMessage(java.lang.String message, java.lang.Object... args)`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilationMessageBundle

          public CompilationMessageBundle()

  - ### Method Detail

    - #### formatCompilationMessage

          protected CompilationMessage formatCompilationMessage(java.lang.String message,
                                                                java.lang.Object... args)